(Android 11:) Can't install February security patch

Search This thread

Marty4

Member
Jan 8, 2013
10
3
23
Hi everybody,

Right after upgrading my Moto G Pro to Android 11 (SOFIAP_AO_EEA_RPR31.Q4U_20_26_2), I wanted to install the February security patch and received the following message:

Package verification failed
The update package being download is not compatible with the current software version on the device.

I wanted to apply the same procedure for OTA updates on my rooted phone that was working under Android 10 (cf. this posting).

Anyone has an idea how to solve this?

Thanks in advance for your help!
 

k3dar7

Senior Member
Apr 14, 2018
828
444
73
today i receive february security patch (RPRS31.Q4U-20-28 (chanell: reteu)), install & root via this method without problem, also before upgrade from A10 to A11 work with same method...

sure you restore stock boot image via magisk manager (step 3) ? your error message look exactly as without restored stock boot...
 

Marty4

Member
Jan 8, 2013
10
3
23
today i receive february security patch (RPRS31.Q4U-20-28 (chanell: reteu)), install & root via this method without problem, also before upgrade from A10 to A11 work with same method...

sure you restore stock boot image via magisk manager (step 3) ? your error message look exactly as without restored stock boot...

Thank you for your reply! Yes, I did uninstall Magisk with "restore images" ("Restoration done!" toast appears on the screen) - but still the problem persists and I receive the error message when I try to update...

Any other idea what could block my OTA update?
 

k3dar7

Senior Member
Apr 14, 2018
828
444
73
You have disabled SmartUpdates? (step 2)

Try:

1. Install Magisk again to CurrentSlot
MagiskManager/Magisk-Install/DirectInstall

2. Disable Wifi and MobileData

3. Reboot

4. MagiskManager/UnstallMagisk/RestoreImages

5. Enable Wifi and/or MobileData

6 . initialize manualy OTA search:
(Android)Settings/System/SystemUpdate

This steps maybe to not have Magisk installed when OTA is inicialized. Not know if help :)
 

Marty4

Member
Jan 8, 2013
10
3
23
You have disabled SmartUpdates? (step 2)

Try:

1. Install Magisk again to CurrentSlot
MagiskManager/Magisk-Install/DirectInstall

2. Disable Wifi and MobileData

3. Reboot

4. MagiskManager/UnstallMagisk/RestoreImages

5. Enable Wifi and/or MobileData

6 . initialize manualy OTA search:
(Android)Settings/System/SystemUpdate

This steps maybe to not have Magisk installed when OTA is inicialized. Not know if help :)

Thank you so much!

Yes, "Smart Updates" are disabled.

I tried what you suggested - unfortunately, same error message on step 6... :cry:
 

Marty4

Member
Jan 8, 2013
10
3
23
I still don't understand what blocks the OTA update on my device:
  • My current Android 11 was flashed with the Rescue and Smart Assistant (LMSA) after a full wipe.
  • I re-flashed the original boot.img (to completely unroot).
  • I re-flashed the original recovery.img on both partitions.
  • I deleted the cache of "Motorola Update Services".
...Now I'm running out of ideas how to get rid of the "Package verification failed" message...

This should be the relevant extract from logcat:

Code:
02-28 19:38:45.512  1580  1580 E update_engine: [ERROR:delta_performer.cc(1205)] The hash of the source data on disk for this operation doesn't match the expected value. This could mean that the delta update payload was targeted for another version, or that the source partition was modified after it was installed, for example, by mounting a filesystem.
02-28 19:38:45.515  1580  1580 E update_engine: [ERROR:delta_performer.cc(1210)] Expected:   sha256|hex = 63B6A76F2009E796A2A1F3F6A70957DB12E2146A6929A659505F9EC5BCA16A53
02-28 19:38:45.518  1580  1580 E update_engine: [ERROR:delta_performer.cc(1213)] Calculated: sha256|hex = 6FE9E5AF9EC26F47B555E7088A8BED085C49BE551AAB5C584D140232F02D6C68
02-28 19:38:45.525  1580  1580 E update_engine: [ERROR:delta_performer.cc(1224)] Operation source (offset:size) in blocks: 0:2,4:1,43:2,161:56
02-28 19:38:45.527  1080  1218 E qdmetadata: paramType 2048 not supported
02-28 19:38:45.534  1580  1580 W update_engine: [WARNING:mount_history.cc(66)] Device was remounted R/W 46 times. Last remount happened on 1970-10-12 05:15:10.000 UTC.
02-28 19:38:45.544  8783  9015 D OtaApp  : UpdaterEngHelper:verifyPayloadMetadata:isVerifySuccessful=false
 
Last edited:
Our Apps
Get our official app!
The best way to access XDA on your phone
Nav Gestures
Add swipe gestures to any Android
One Handed Mode
Eases uses one hand with your phone